import os, sys, pygame

os.environ['SDL_VIDEODRIVER'] = 'windib'
pygame.init()

# define the size of the screen and some initial variables for our ball
size = width, height = 800, 600
speed = [1, 0]
white = 255, 255, 255
gravity = 9.81
framerate = 60

screen = pygame.display.set_mode(size)
clock = pygame.time.Clock()

# load our ball image and get a reference to its bounding box
ball = pygame.image.load("ball.bmp")
ballrect = ball.get_rect()

# loop until our flag variable changes
done = False
while done == False:
    # make sure nobody's clicked the big red X
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            done = True

    clock.tick(framerate)

    # calculate a new speed based on our gravity value
    speed[1] = speed[1] + gravity / framerate
    ballrect = ballrect.move(speed)

    # bounce off of the bottom / sides of the box
    if ballrect.left < 0 or ballrect.right > width:
        speed[0] = -speed[0]
    if ballrect.bottom > height:
        ballrect.bottom = height
        speed[1] = -speed[1]

    # draw the resulting image on our screen
    screen.fill(white)
    screen.blit(ball, ballrect)
    pygame.display.flip()

pygame.quit()
